Set3dSecureCode
Set 3D Secure Code of the specified card.
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
The user defined reference to the card; for example a member id or wallet number
string, 1-20 characters, required
The card number, sequence number or tracking number of the specified card
string, 1-255 characters, required
The Code to set
string, 1-255 characters, required
A unique identifier generated by the client, which must not be duplicated over time.
date, required
Client generated / local Transaction Date to assist in identifying transactions on the client side
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
<methodName>Set3dSecureCode</methodName>
<params>
<param>
<value>
<string>0063657472</string>
</value>
</param>
<param>
<value>
<string>ap1132519</string>
</value>
</param>
<param>
<value>
<string>148211235099772</string>
</value>
</param>
<param>
<value>
<string>37231</string>
</value>
</param>
<param>
<value>
<string>1124216</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20170315T12:32:40</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>753AE7E427FCB77678C8477D73B63FB6EE7FA175</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
integer
Status code indicating transaction result
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Was this page helpful?